Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 180112 - RFE: Add vmmouse driver package to FC5
Summary: RFE: Add vmmouse driver package to FC5
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drivers
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-02-05 22:57 UTC by Mike A. Harris
Modified: 2013-01-10 03:41 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-08 21:46:26 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2006-02-05 22:57:45 UTC
Since the release of X11R7.0, a new input driver "vmmouse" was added to
the upstream repository, and a release made.  This is a mouse driver for
use under VMware, which should be added to FC5 for completeness.

I've created an initial package based from the "xorg-x11-drv-mouse" package,
and imported it into CVS.

Here is what remains to be done:

1) It needs to be added to beehive.

2) Build it in dist-fc5

3) Add it as a driver to xorg-x11-drivers, for the 3 arches it builds for.

4) Notify jeremy in case our config tools need to be updated to autodetect
   VMware's USB IDs or whatever, and automatically configure X to use vmmouse
   under VMware installations.  (Not sure if that's the case or not, but if
   it is, it would be convenient to VMware users I suppose.)


CC'ing katzj and notting

Comment 1 Bill Nottingham 2006-02-06 16:00:53 UTC
Why does vmware need a separate mouse driver????

Comment 2 Mike A. Harris 2006-02-08 17:34:53 UTC
(In reply to comment #1)
> Why does vmware need a separate mouse driver????

I'm told that it is to avoid synchronization problems due to host mouse
acceleration plus guest OS mouse acceleration, and that it makes it easy
to implement smart mouse grabbing.  ie:  When the edge of the screen is
reached in the guest OS, the mouse can be released, and it will seemlessly
move away in the right spot on the host.

Similar things are done inside qemu for example.  Anyway, VMware Inc. has
requested this be added to the OS, and it is a standard Xorg driver now,
so there's no good reason for us to not add it.  If we don't add it now,
we'll get a RHEL request later to add it, and we'll be adding a driver to
RHEL which had no Fedora testing.





Comment 3 Mike A. Harris 2006-02-08 17:48:35 UTC
As per:
https://intranet.corp.redhat.com/ic/intranet/PackageListProcess.html

notting: Can you rubber stamp this, so it can get into test3 ASAP?


jeremy:  Does this require any installer, etc. changes?  I believe it is
desireable if the vmmouse driver gets assigned for all VMware installations.

I'm not sure how to detect that currently though, however that is something
that could be done at a later date, as it works without it still.


jkeating: Can you add 'xorg-x11-drv-vmmouse' to beehive, etc.


TIA guys...

Comment 4 Jeremy Katz 2006-02-08 18:16:17 UTC
Yes, there will be real installer changes needed if we want to associate the
different mouse driver if you're on VMware.  And that's going to require some
digging to figure out how you can tell that you need to, etc.  I don't know that
this is really viable for FC5.  Test2 (the nominal feature freeze) was a month ago.

Comment 5 Mike A. Harris 2006-02-08 18:34:19 UTC
(In reply to comment #4)
> Yes, there will be real installer changes needed if we want to associate the
> different mouse driver if you're on VMware.  And that's going to require some
> digging to figure out how you can tell that you need to, etc.

I assumed that might be necessary, however the driver is still useful
being in the OS, even if it isn't configured by default.

> I don't know that this is really viable for FC5.  Test2 (the nominal
> feature freeze) was a month ago.

I realize that.  A month ago the driver didn't exist to make a package
for.

Anyway, including it is pretty much 0 risk to us, and gets some end user
testing, even if it has to be manually configured.  I believe VMware's
installation might even configure it itself if it's present, but I'm
not sure.

I don't see any reason to not include it really, but I also don't feel
strongly to fight for its inclusion if there is strong opposition either.

If we had monolithic X, I'd have just put the driver source into the
monolith and rebuilt it, and nobody would know/care or have needed to
approved it really.  Currently I'm just wasting cycles caught up in
needless "process" for a low risk driver that doesn't harm anything.

Please either approve it, or move this bug to FC6Target so I can get
immediate closure.

Thanks in advance.

Comment 6 Mike A. Harris 2006-02-08 21:42:16 UTC
Package approvals for FC5:

Tech lead (notting):  refused
    Why does vmware need a separate mouse driver???? (comment #1)

Installer (jeremy):  refused
    Probably requires installer changes to fully integrate.  It is
    past the FC5 package inclusion deadline.

RELENG (jkeating):  refused
    Didn't get necessary prerequisite approvals.





Comment 7 Mike A. Harris 2006-02-08 21:44:45 UTC
Defering driver inclusion until FC6.

Comment 8 Mike A. Harris 2006-07-21 21:33:36 UTC
Already included for a while now....


Note You need to log in before you can comment on or make changes to this bug.